/*
 * test_rwfile.c
 */


#include<unistd.h>
#include<fcntl.h>
#include<stdlib.h>
#include<stdio.h>


int main()
{
	char *buf;
	int fd;


	if((fd=open("/test_file",O_RDWR))<0)
	{
		printf("fd=%d\n",fd);
		exit(0);
	}

	if((buf=(char*)malloc(0x10000))==NULL)
	{
		printf("Failed malloc()!\n");
		exit(0);
	}

	buf[0]=0xaa;
	buf[0x10000-1]=0xbb;

	if(write(fd,buf,0x10000)!=0x10000)
	{
		printf("Failed write()!\n");
		exit(0);
	}

	if(close(fd)!=0)
	{
		printf("Failed close()!\n");
	}
	
	exit(0);
}
